%global gem_name openshift-origin-auth-mongo
%global rubyabi 1.9.1

Summary:        OpenShift plugin for mongo authentication service
Name:           rubygem-%{gem_name}
Version:        0.8.5
Release:        10%{?dist}
Group:          Development/Languages
License:        ASL 2.0
URL:            http://openshift.redhat.com
Source0:        http://mirror.openshift.com/pub/openshift-origin/source/%{name}/%{gem_name}-%{version}.gem
Source1:        favicon
Requires:       ruby(abi) = %{rubyabi}
Requires:       rubygems
Requires:       rubygem(openshift-origin-common)
Requires:       rubygem(openshift-origin-controller)
Requires:       rubygem(json)
Requires:       openshift-origin-broker
# Required for ss-register-user
Requires:       rubygem(activeresource)
BuildRequires:  rubygems
BuildRequires:  rubygems-devel
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %version

%description
Provides a mongo authentication service based plugin

%package doc
Summary:        OpenShift Origin mongodb docs

%description doc
OpenShift Origin mongodb authentication documentation files

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# rename lib to correct name
mv lib/swingshift-mongo-plugin.rb lib/openshift-origin-auth-mongo.rb
sed -i -e 's|\"lib/swingshift-mongo-plugin.rb\"|\"lib/openshift-origin-auth-mongo.rb\"|' %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

# Clean up stuff
cp %{SOURCE1} %{buildroot}%{gem_instdir}/test/dummy/public/favicon.ico

%files
%doc LICENSE COPYRIGHT Gemfile
%exclude %{gem_cache}
%{gem_instdir}
%{gem_spec}
%{_bindir}/*

%files doc
%doc %{gem_docdir}

%changelog
* Wed Aug 22 2012 Troy Dawson <tdawson@redhat.com> -  0.8.5-10
- Renamed library to correct name

* Thu Aug 09 2012 Adam Miller <admiller@redhat.com> - 0.8.5-9
- Removed dep on rubygem(mongo) as its not specifically needed
- Added rubygem(openshift-origin-controller), where the mongo tie in comes from
- Created doc subpackage

* Thu Aug 09 2012 Adam Miller <admiller@redhat.com> - 0.8.5-8
- Clean up old non-ruby package symlink for ruby_vendorlibdir

* Thu Aug 09 2012 Adam Miller <admiller@redhat.com> - 0.8.5-7
- No longer cleaning up false positive wrong-file-end-of-line-encoding 

* Tue Aug 07 2012 Adam Miller <admiller@redhat.com> - 0.8.5-6
- Removed non-gem sub-package, not needed by guidelines
- cleaned up wrong-file-end-of-line-encoding

* Thu Aug 02 2012 Troy Dawson <tdawson@redhat.com> - 0.8.5-5
- Added dependancies: rubygem(mongo) rubygem(activeresource)

* Tue Jul 24 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-4
- Changed name to openshift-origin-auth-mongo
- Removed unessisary Requires and BuildRequires.

* Tue Jul 24 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-3
- change ruby_sitelibdir to ruby_vendorlibdir per guidelines

* Fri Jul 20 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-2
- Ported to be include in Fedora 18

* Wed May 30 2012 Krishna Raman <kraman@gmail.com> 0.8.5-1
- Fix for Bugz 825366, 825340. SELinux changes to allow access to
  user_action.log file. Logging authentication failures and user creation for
  OpenShift Origin (abhgupta@redhat.com)
- Raise auth exception when no user/password is provided by web browser. Bug
  815971 (kraman@gmail.com)
- Adding livecd build scripts Adding a text only minimal version of livecd
  Added ability to access livecd dns from outside VM (kraman@gmail.com)
- Merge pull request #19 from kraman/dev/kraman/bug/815971
  (dmcphers@redhat.com)
- Fix bug in mongo auth service where auth failure is returning nil instead of
  Exception (kraman@gmail.com)
- Adding a seperate message for errors returned by cartridge when trying to add
  them. Fixing CLIENT_RESULT error in node Removing tmp editor file
  (kraman@gmail.com)
- Added tests (kraman@gmail.com)
- BugZ# 817957. Adding rest api for creating a user in the mongo auth service.
  Rest API will be accessabel only from local host and will require login/pass
  of an existing user. (kraman@gmail.com)
- moving broker auth key and iv encoding/decoding both into the plugin
  (abhgupta@redhat.com)

* Thu Apr 26 2012 Krishna Raman <kraman@gmail.com> 0.8.4-1
- Added README for SwingShift-mongo plugin (rpenta@redhat.com)
- cleaning up spec files (dmcphers@redhat.com)
- decoding the broker auth key before returning from login in the auth plugin
  (abhgupta@redhat.com)

* Sat Apr 21 2012 Krishna Raman <kraman@gmail.com> 0.8.3-1
- new package built with tito
